<cfcomponent
	displayname="ContactFormBean"
	output="false"
	hint="A bean which models the ContactFormBean form.">


	<!---
	PROPERTIES
	--->
	<cfset variables.instance = StructNew() />

	<!---
	INITIALIZATION / CONFIGURATION
	--->
	<cffunction name="init" access="public" returntype="ContactManagerMG.model.ContactFormBean" output="false">
		<cfargument name="ContactID" type="string" required="false" default="" />
		<cfargument name="ContactName" type="string" required="false" default="" />
		<cfargument name="ContactTypeID" type="string" required="false" default="" />

		<!--- run setters --->
		<cfset setContactID(arguments.ContactID) />
		<cfset setContactName(arguments.ContactName) />
		<cfset setContactTypeID(arguments.ContactTypeID) />

		<cfreturn this />
 	</cffunction>

	<!---
	PUBLIC FUNCTIONS
	--->	
	<cffunction name="getMemento" access="public"returntype="struct" output="false" >
		<cfreturn variables.instance />
	</cffunction>

	<cffunction name="validate" access="public" returntype="boolean" output="false">
		<cfargument name="Errors" type="struct" required="true" />
		<cfset tempErrors = structNew() />

		<cfif NOT len( trim( getContactName() ) ) >
			<cfset tempErrors['ContactName'] = "Please enter a name for your contact"  />
		</cfif>
		<cfif NOT len( trim( getContactTypeID() ) )>
			<cfset tempErrors['ContactTypeID'] = "Please enter a contact type for your contact"  />
		</cfif>		
		
		<cfif structCount( tempErrors ) >
			<cfset structAppend( arguments.Errors, tempErrors ) />
			<cfreturn false />
		<cfelse>
			<cfreturn true />		
		</cfif>
		
	</cffunction>

	<!---
	ACCESSORS
	--->
	<cffunction name="setContactID" access="public" returntype="void" output="false">
		<cfargument name="ContactID" type="string" required="true" />
		<cfset variables.instance.ContactID = arguments.ContactID />
	</cffunction>
	<cffunction name="getContactID" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactID />
	</cffunction>

	<cffunction name="setContactName" access="public" returntype="void" output="false">
		<cfargument name="ContactName" type="string" required="true" />
		<cfset variables.instance.ContactName = arguments.ContactName />
	</cffunction>
	<cffunction name="getContactName" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactName />
	</cffunction>

	<cffunction name="setContactTypeID" access="public" returntype="void" output="false">
		<cfargument name="ContactTypeID" type="string" required="true" />
		<cfset variables.instance.ContactTypeID = arguments.ContactTypeID />
	</cffunction>
	<cffunction name="getContactTypeID" access="public" returntype="string" output="false">
		<cfreturn variables.instance.ContactTypeID />
	</cffunction>

</cfcomponent>